# Enum Class VulkanExtKHRSwapChainType.QueuePresentResult

java.lang.Object
java.lang.Enum<VulkanExtKHRSwapChainType.QueuePresentResult>
com.io7m.jcoronado.extensions.khr_swapchain.api.VulkanExtKHRSwapChainType.QueuePresentResult

All Implemented Interfaces:
  `Serializable, Comparable<VulkanExtKHRSwapChainType.QueuePresentResult>, Constable`

Enclosing interface:
  `VulkanExtKHRSwapChainType`

public static enum VulkanExtKHRSwapChainType.QueuePresentResult extends Enum<VulkanExtKHRSwapChainType.QueuePresentResult>
The result of presenting an image.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SUBOPTIMAL`
  Presenting succeeded but the swapchain is suboptimal.
  `SUCCESS`
  Presenting succeeded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanExtKHRSwapChainType.QueuePresentResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanExtKHRSwapChainType.QueuePresentResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final VulkanExtKHRSwapChainType.QueuePresentResult SUCCESS
    Presenting succeeded.

  - ### SUBOPTIMAL

    public static final VulkanExtKHRSwapChainType.QueuePresentResult SUBOPTIMAL
    Presenting succeeded but the swapchain is suboptimal.

- ## Method Details

  - ### values

    public static VulkanExtKHRSwapChainType.QueuePresentResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanExtKHRSwapChainType.QueuePresentResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null